function out = AddLaminarFlow(out,inlet,outlet,FlowRate)
import com.comsol.model.*
import com.comsol.model.util.*
model = out;
model.physics.create('spf', 'LaminarFlow', 'geom1');
model.physics('spf').prop('CompressibilityProperty').set('Compressibility', 1, 'Incompressible');

model.physics('spf').feature.create('inl1', 'Inlet', 1);
model.geom('geom1').run;
model.physics('spf').feature('inl1').selection.set(inlet(1));
model.physics('spf').feature('inl1').set('U0in', 1, FlowRate(1));

model.physics('spf').feature.create('inl2', 'Inlet', 1);
model.geom('geom1').run;
model.physics('spf').feature('inl2').selection.set(inlet(2));
model.physics('spf').feature('inl2').set('U0in', 1, FlowRate(2));

model.physics('spf').feature.create('out1', 'OutletBoundary', 1);
model.physics('spf').feature('out1').selection.set(outlet);
out = model;