function out = AddTransportOfDilutedSpecies(out,inlet,outlet)
import com.comsol.model.*
import com.comsol.model.util.*
model = out;

model.physics.create('chds', 'DilutedSpecies', 'geom1', {'c'});

model.physics('chds').feature('cdm1').set('u_src', 1, 'root.comp1.u');


model.physics('chds').feature.create('in1', 'Inflow', 1);
model.physics('chds').feature('in1').selection.set(inlet(1));
model.physics('chds').feature('in1').set('c0', 1, '1');

model.physics('chds').feature.create('in2', 'Inflow', 1);
model.physics('chds').feature('in2').selection.set(inlet(2));

model.physics('chds').feature.create('out1', 'Outflow', 1);
model.physics('chds').feature('out1').selection.set(outlet(1));

model.physics('chds').feature.create('out2', 'Outflow', 1);
model.physics('chds').feature('out2').selection.set(outlet(2));

% model.physics('chds').feature.create('out3', 'Outflow', 1);
% model.physics('chds').feature('out3').selection.set(outlet(3));

model.physics('chds').feature('cdm1').set('D_0', {'4.25e-10[m^2/s]' '0' '0' '0' '4.25e-10[m^2/s]' '0' '0' '0' '4.25e-10[m^2/s]'});

out = model;